#ifndef MAIN_CPP
#define MAIN_CPP

using namespace std;

#include <qapplication.h>
#include <unistd.h>

#include "mythtube.h"

//incluidos en mythnews no se por que
#include <mythtv/mythcontext.h>
#include <mythtv/libmythui/mythmainwindow.h>

#include <mythtv/mythplugin.h>
#include <mythtv/mythpluginapi.h>

void runTube(void);

int mythplugin_init(const char *libversion)
{
    if (!gContext->TestPopupVersion("mythnews",
                                    libversion,
                                    MYTH_BINARY_VERSION))
        return -1;

    REG_JUMP("MythTube", "RSS News feed reader", "", runTube);

    return 0;
}

void runTube(void)
{
    MythScreenStack *mainStack = GetMythMainWindow()->GetMainStack();

    MythTube *mythtube = new MythTube(mainStack, "mythtube");

   if (mythtube->Create())
        mainStack->AddScreen(mythtube);
}

int mythplugin_run (void)
{
    runTube();
    return 0;
}

int mythplugin_config (void) { return 0; }

#endif
